TemplateXMLOutputModel (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.core, class: TemplateXMLOutputModel

Package freemarker.core

# Class TemplateXMLOutputModel

java.lang.Object
freemarker.core.CommonTemplateMarkupOutputModel<TemplateXMLOutputModel>
freemarker.core.TemplateXMLOutputModel

All Implemented Interfaces:
  `TemplateMarkupOutputModel<TemplateXMLOutputModel>`, `TemplateModel`

Direct Known Subclasses:
  `TemplateXHTMLOutputModel`

public class TemplateXMLOutputModel extends CommonTemplateMarkupOutputModel<TemplateXMLOutputModel>
Stores XML markup to be printed; used with `XMLOutputFormat`.

This class was final before 2.3.29.

Since:
  2.3.24

- ## Field Summary

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TemplateXMLOutputModel​(String plainTextContent, String markupContent)`
  See `CommonTemplateMarkupOutputModel(String, String)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLOutputFormat`
  `getOutputFormat()`
  Returns the singleton `OutputFormat` object that implements the operations for the "markup output" value.

  ### Methods inherited from class freemarker.core.CommonTemplateMarkupOutputModel

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TemplateXMLOutputModel

    protected TemplateXMLOutputModel​(String plainTextContent, String markupContent)
    See `CommonTemplateMarkupOutputModel(String, String)`.
    Since:
      2.3.29

- ## Method Details

  - ### getOutputFormat

    public XMLOutputFormat getOutputFormat()
    Description copied from interface: `TemplateMarkupOutputModel`
    Returns the singleton `OutputFormat` object that implements the operations for the "markup output" value.
    Specified by:
      `getOutputFormat` in interface `TemplateMarkupOutputModel<TemplateXMLOutputModel>`
    Specified by:
      `getOutputFormat` in class `CommonTemplateMarkupOutputModel<TemplateXMLOutputModel>`